Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2007.0 Server Profile Issue [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
snIP3r
l33t
l33t


Joined: 21 May 2004
Posts: 780
Location: germany

PostPosted: Fri May 11, 2007 12:06 pm    Post subject: 2007.0 Server Profile Issue [solved] Reply with quote

Hi all!

i recently updated to the 2007.0 server profile. but from now on if i do an e.g. "emerge -uavD world" i get this message:

Code:

 * This profile has not been tested thoroughly and is not considered to be
 * a supported server profile at this time.  For a supported server
 * profile, please check the Hardened project (http://hardened.gentoo.org).

 * This profile is merely a convenience for people who require a more
 * minimal profile, yet are unable to use hardened due to restrictions in
 * the software being used on the server. This profile should also be used
 * if you require GCC 4.1 or Glibc 2.4 support. If you don't know if this
 * applies to you, then it doesn't and you should probably be using
 * Hardened, instead.


the profile is only a set of USE-flags so i think and hope it's ok choosing this profile for my homeserver?!?! or am i not???

hope someone could give me advise...

thx
snIP3r
_________________
AMD X2 4450e on ASUS M2N-SLI Deluxe
Gentoo Base System 2.1
Kernel 3.2.12-gentoo SMP x86_64
-----------------------------------------------
if your problem is fixed please add something like [solved] to the topic!


Last edited by snIP3r on Sat May 12, 2007 12:29 pm; edited 1 time in total
Back to top
View user's profile Send private message
neysx
Retired Dev
Retired Dev


Joined: 27 Jan 2003
Posts: 795

PostPosted: Fri May 11, 2007 1:16 pm    Post subject: Reply with quote

As you said, that profile is nothing but a couple of USE flags (USE="apache2 ldap mailwrapper mysql snmp truetype xml") and is utterly useless.
If security is an issue, do use a hardened profile.
If it isn't much of an issue for your home server, use the 2007.0/ basic profile and add/remove what you really need.

Hth
Back to top
View user's profile Send private message
carpman
Advocate
Advocate


Joined: 20 Jun 2002
Posts: 2202
Location: London - UK

PostPosted: Sat May 12, 2007 9:40 am    Post subject: Re: 2007.0 Server Profile Issue Reply with quote

snIP3r wrote:
Hi all!

i recently updated to the 2007.0 server profile. but from now on if i do an e.g. "emerge -uavD world" i get this message:

Code:

 * This profile has not been tested thoroughly and is not considered to be
 * a supported server profile at this time.  For a supported server
 * profile, please check the Hardened project (http://hardened.gentoo.org).

 * This profile is merely a convenience for people who require a more
 * minimal profile, yet are unable to use hardened due to restrictions in
 * the software being used on the server. This profile should also be used
 * if you require GCC 4.1 or Glibc 2.4 support. If you don't know if this
 * applies to you, then it doesn't and you should probably be using
 * Hardened, instead.


the profile is only a set of USE-flags so i think and hope it's ok choosing this profile for my homeserver?!?! or am i not???

hope someone could give me advise...

thx
snIP3r



There is an option you can add to make.conf to make this message go away, can't remember what it is and don't have access to box that uses it, will post it later.
_________________
Work Station - 64bit
Gigabyte GA X48-DQ6 Core2duo E8400
8GB GSkill DDR2-1066
SATA Areca 1210 Raid
BFG OC2 8800 GTS 640mb
--------------------------------
Notebook
Samsung Q45 7100 4gb
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Sat May 12, 2007 11:48 am    Post subject: Reply with quote

This must go into /etc/make.conf to get rid of that message:
Code:
I_KNOW_WHAT_I_AM_DOING="yes"


And no, I'm not kidding ;)
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
snIP3r
l33t
l33t


Joined: 21 May 2004
Posts: 780
Location: germany

PostPosted: Sat May 12, 2007 12:29 pm    Post subject: Reply with quote

Polynomial-C wrote:
This must go into /etc/make.conf to get rid of that message:
Code:
I_KNOW_WHAT_I_AM_DOING="yes"


And no, I'm not kidding ;)


hi Polynomial-C!

thx for the help. this fixed my issue :) i think i should check possible settings for make.conf ;)

greets
snIP3r
_________________
AMD X2 4450e on ASUS M2N-SLI Deluxe
Gentoo Base System 2.1
Kernel 3.2.12-gentoo SMP x86_64
-----------------------------------------------
if your problem is fixed please add something like [solved] to the topic!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum